GNU bug report logs - #37912
[PATCH] gnu: elixir: Update to 1.9.2.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Oskar Köök <oskar@HIDDEN>; Keywords: patch; dated Thu, 24 Oct 2019 21:51:01 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 37912 <at> debbugs.gnu.org:


Received: (at 37912) by debbugs.gnu.org; 3 Nov 2019 16:52:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 03 11:52:15 2019
Received: from localhost ([127.0.0.1]:34996 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iRJ6t-00023s-El
	for submit <at> debbugs.gnu.org; Sun, 03 Nov 2019 11:52:15 -0500
Received: from out3-smtp.messagingengine.com ([66.111.4.27]:35003)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mbakke@HIDDEN>) id 1iRJ6s-00023d-6y
 for 37912 <at> debbugs.gnu.org; Sun, 03 Nov 2019 11:52:14 -0500
Received: from compute5.internal (compute5.nyi.internal [10.202.2.45])
 by mailout.nyi.internal (Postfix) with ESMTP id 0E3F920365;
 Sun,  3 Nov 2019 11:52:09 -0500 (EST)
Received: from mailfrontend1 ([10.202.2.162])
 by compute5.internal (MEProxy); Sun, 03 Nov 2019 11:52:09 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=fastmail.com; h=
 from:to:subject:in-reply-to:references:date:message-id
 :mime-version:content-type; s=fm1; bh=Q+qQYGxPg2SljTMnCrzxNHb19c
 c5g2VkBKxKt2YhnRI=; b=PPuPTNBs0V+Z6dXunJbkgtMWBcJZzIoq5Y1jLQif0v
 0UCUG85P6v6+w1BmkwZvSp2LKzEKpYxAiSYnYcsn1oc3XUoSGQfawePwWv6zRoBX
 w9JxAE3v4IrxN1dRQbbf88uq51KfMK1e1EpfY37vWAYTMmyXrhfaTPZSS/BaB8O8
 8/YYKqBiBewK8JstOTDNvv8t6R4DSaQGOSnIqYw+leR1Chksl6edIGYXUTGo8+qv
 lnC5RmxhHwM85uM+I0rAuKD4k2GJM2Q9zewmlEw/VnnQ0ZOCzjBptaV2wWgvaZLP
 7GHYeWuxQGn0nbiSh3JTzO1mq2u/MCjoDRxr+LvPQjow==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm1; bh=Q+qQYG
 xPg2SljTMnCrzxNHb19cc5g2VkBKxKt2YhnRI=; b=NiCH6tVT+jXD0jYtFXRWCa
 MDRPDmBw/7Q3pvn5MJp/HZKexd1FStc3/510/ILpdacHZAOnjcaTleHCN7mORu8Z
 DoGsQaR3SZd8TKmmRlcxSrxuoiaU6YrDvTJIQbjmIu0+RvtgDcqsL3VhHdagdKDU
 hdigDTlqVxc2sQu4z1P/rbPorgkmSiooZFkHuFxYRVLtuTbEkvhvf/wn0Veq7etz
 a64/eREjuhgg30euVr6VdOmH7W3L4i6QgcOUf/cYknGhC75njDlcsrCX9KiHF2XS
 6/Bhc5sjyPFYexO49kmdhQJhx8NLmWNmBPKjptUj45mMtHvlrDkp7tsQuFaOJjLQ
 ==
X-ME-Sender: <xms:uAW_XTDjywg-1I9zxf_crPsZK3etjIKcg4NtTzMLi1LS0fwRvkyfRg>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedufedrudduuddgleeiucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmne
 cujfgurhephffvufgjfhgffffkgggtsehgtderredtreejnecuhfhrohhmpeforghrihhu
 shcuuegrkhhkvgcuoehmsggrkhhkvgesfhgrshhtmhgrihhlrdgtohhmqeenucfkphepie
 dvrdduiedrudelvddrudehtdenucfrrghrrghmpehmrghilhhfrhhomhepmhgsrghkkhgv
 sehfrghsthhmrghilhdrtghomhenucevlhhushhtvghrufhiiigvpedt
X-ME-Proxy: <xmx:uAW_XaEBHk1Zdedc3J-Y_A3aVrtO_hdYzjjClJASzAT3CqRMI8Dp2g>
 <xmx:uAW_XXeGS0IBQyDtTsu1G5zw8PMVR2WZNqexAXdsskkPT1fk-fBVKA>
 <xmx:uAW_Xf929WQRb4-freuogEMnPGwRZ1WmN0rOFJLRNbWasyJOZzjdVQ>
 <xmx:uQW_XRvbW2UPGca7lOg8Z_8Idtlo5ehtVwKul8xhKi3CYQamwGbGMA>
Received: from localhost (ti0006q161-0149.bb.online.no [62.16.192.150])
 by mail.messagingengine.com (Postfix) with ESMTPA id 545998005B;
 Sun,  3 Nov 2019 11:52:08 -0500 (EST)
From: Marius Bakke <mbakke@HIDDEN>
To: Oskar =?utf-8?B?S8O2w7Zr?= <oskar@HIDDEN>, 37912
 <37912 <at> debbugs.gnu.org>
Subject: Re: [bug#37912] [PATCH] gnu: elixir: Update to 1.9.2.
In-Reply-To: <LsbI94D--3-1@HIDDEN>
References: <LrzW39---3-1@HIDDEN> <LsbI94D--3-1@HIDDEN>
User-Agent: Notmuch/0.29.1 (https://notmuchmail.org) Emacs/26.3
 (x86_64-pc-linux-gnu)
Date: Sun, 03 Nov 2019 17:52:06 +0100
Message-ID: <8736f4q4w9.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 37912
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Oskar K=C3=B6=C3=B6k <oskar@HIDDEN> writes:

> Although I must note that the end-result ends up ruining the whole point =
of Elixir Releases.
>
> The point of an Elixir release is that you can package an application int=
o a stand-alone item. It will copy elixir & erlang (etc) as well as your ap=
plication into a single package, so you can run it without having elixir & =
erlang installed on your system.
>
> I guess the single dependency here is /bin/sh: as long as it exists, you =
can run the application from any system.
>
> If you were to generate a release with Guix, you would end up with script=
s that depend on the Guix store. So you can not run the stand-alone without=
 Guix.
>
> What is the solution to this? I would personally prefer to keep the actua=
l behaviour (if possible) and if needed, disable the tests.

The typical solution here is to reset the shebang after running the
tests.  I know there are a couple of packages doing this, but can't
recall which at the moment.

Can you try that?  Thanks for working on it!

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCgAdFiEEu7At3yzq9qgNHeZDoqBt8qM6VPoFAl2/BbYACgkQoqBt8qM6
VPq5DggAhJbMRBP3FoR9OHx9yeHs8B2CD69SvsOWx4Txyf8V9pUGEtCNAjbN3Vw6
wJe0HZu+pBZKQ6835iKZXQra4PE4PLNaNOp57Vu3PbVW2Yx/qM6DCCfPK1dhpoXW
OdsmkcZE/r8POccH53t5etznwxAoDTg9lzqjJ1t1iJvkp0J7p8llSWDtihvELrhV
jS4i54NiEUU/dyn6KCch/LNnmi07li7iaZN0w0doi+JBz3MW46ZARum/BjlTzDUV
iahRo1KoqNtjHoZvv7UvhwuyuI6Sa7F8ZtJIHnc/5BMu02j+M/bl+X0zhJEMalMR
fyBtBin0u0IiTFTBpjQpVLHTqTnzWg==
=W5Ud
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#37912; Package guix-patches. Full text available.

Message received at 37912 <at> debbugs.gnu.org:


Received: (at 37912) by debbugs.gnu.org; 1 Nov 2019 14:32:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 01 10:32:47 2019
Received: from localhost ([127.0.0.1]:56768 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iQXyp-0004cp-GS
	for submit <at> debbugs.gnu.org; Fri, 01 Nov 2019 10:32:47 -0400
Received: from w4.tutanota.de ([81.3.6.165]:36330)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <oskar@HIDDEN>) id 1iQXcK-0003wB-0E
 for 37912 <at> debbugs.gnu.org; Fri, 01 Nov 2019 10:09:32 -0400
Received: from w2.tutanota.de (unknown [192.168.1.163])
 by w4.tutanota.de (Postfix) with ESMTP id D81C210602A9
 for <37912 <at> debbugs.gnu.org>; Fri,  1 Nov 2019 14:09:25 +0000 (UTC)
Date: Fri, 1 Nov 2019 15:09:25 +0100 (CET)
From: =?UTF-8?Q?Oskar_K=C3=B6=C3=B6k?= <oskar@HIDDEN>
To: 37912 <37912 <at> debbugs.gnu.org>
Message-ID: <LsbI94D--3-1@HIDDEN>
Subject: Re: [bug#37912] [PATCH] gnu: elixir: Update to 1.9.2.
MIME-Version: 1.0
Content-Type: multipart/alternative; 
 boundary="----=_Part_3786_624194671.1572617365800"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 37912
X-Mailman-Approved-At: Fri, 01 Nov 2019 10:32:43 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

------=_Part_3786_624194671.1572617365800
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 7bit

Although I must note that the end-result ends up ruining the whole point of Elixir Releases.

The point of an Elixir release is that you can package an application into a stand-alone item. It will copy elixir & erlang (etc) as well as your application into a single package, so you can run it without having elixir & erlang installed on your system.

I guess the single dependency here is /bin/sh: as long as it exists, you can run the application from any system.

If you were to generate a release with Guix, you would end up with scripts that depend on the Guix store. So you can not run the stand-alone without Guix.

What is the solution to this? I would personally prefer to keep the actual behaviour (if possible) and if needed, disable the tests.

Oskar

------=_Part_3786_624194671.1572617365800
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<html>
  <head>
    <meta http-equiv=3D"content-type" content=3D"text/html; charset=3DUTF-8=
">
  </head>
  <body>
<div style=3D"16px" text-align=3D"left">Although I must note that the end-r=
esult ends up ruining the whole point of Elixir Releases.<br></div><div sty=
le=3D"16px" text-align=3D"left"><br></div><div style=3D"16px" text-align=3D=
"left">The point of an Elixir release is that you can package an applicatio=
n into a stand-alone item. It will copy elixir &amp; erlang (etc) as well a=
s your application into a single package, so you can run it without having =
elixir &amp; erlang installed on your system.<br></div><div style=3D"16px" =
text-align=3D"left"><br></div><div style=3D"16px" text-align=3D"left">I gue=
ss the single dependency here is /bin/sh: as long as it exists, you can run=
 the application from any system.<br></div><div style=3D"16px" text-align=
=3D"left"><br></div><div style=3D"16px" text-align=3D"left">If you were to =
generate a release with Guix, you would end up with scripts that depend on =
the Guix store. So you can not run the stand-alone without Guix.<br></div><=
div style=3D"16px" text-align=3D"left"><br></div><div style=3D"16px" text-a=
lign=3D"left">What is the solution to this? I would personally prefer to ke=
ep the actual behaviour (if possible) and if needed, disable the tests.<br>=
</div><div style=3D"16px" text-align=3D"left"><br></div><div style=3D"16px"=
 text-align=3D"left">Oskar<br></div>  </body>
</html>

------=_Part_3786_624194671.1572617365800--




Information forwarded to guix-patches@HIDDEN:
bug#37912; Package guix-patches. Full text available.

Message received at 37912 <at> debbugs.gnu.org:


Received: (at 37912) by debbugs.gnu.org; 1 Nov 2019 14:32:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 01 10:32:47 2019
Received: from localhost ([127.0.0.1]:56766 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iQXyo-0004ck-Iw
	for submit <at> debbugs.gnu.org; Fri, 01 Nov 2019 10:32:47 -0400
Received: from w4.tutanota.de ([81.3.6.165]:38322)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <oskar@HIDDEN>) id 1iQXEl-0000tg-AH
 for 37912 <at> debbugs.gnu.org; Fri, 01 Nov 2019 09:45:12 -0400
Received: from w2.tutanota.de (unknown [192.168.1.163])
 by w4.tutanota.de (Postfix) with ESMTP id D0D1B106026C;
 Fri,  1 Nov 2019 13:45:04 +0000 (UTC)
Date: Fri, 1 Nov 2019 14:45:04 +0100 (CET)
From: =?UTF-8?Q?Oskar_K=C3=B6=C3=B6k?= <oskar@HIDDEN>
To: Marius Bakke <mbakke@HIDDEN>
Message-ID: <LsbC_aj--3-1@HIDDEN>
In-Reply-To: <875zk4plty.fsf@HIDDEN>
References: <LsXE_TN--3-1@HIDDEN> <875zk4plty.fsf@HIDDEN>
Subject: Re: [bug#37912] [PATCH] gnu: elixir: Update to 1.9.2.
MIME-Version: 1.0
Content-Type: multipart/mixed; 
 boundary="----=_Part_2957_727507438.1572615904682"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37912
X-Mailman-Approved-At: Fri, 01 Nov 2019 10:32:43 -0400
Cc: 37912 <37912 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

------=_Part_2957_727507438.1572615904682
Content-Type: multipart/alternative; 
	boundary="----=_Part_2958_1817126105.1572615904682"

------=_Part_2958_1817126105.1572615904682
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

Thank you for your response!

You were right, /bin/sh was the issue. I did some grepping and found Elixir=
 was generating files that depend on /bin/sh. I am now able to build Elixir=
 1.9.2 on Guix.

I am attaching the patch to this e-mail. Please format/fix the code as nece=
ssary, I am not too familiar with Guile and other Scheme/Lisp languages.

Oskar


Nov 1, 2019, 00:54 by mbakke@HIDDEN:

> Oskar K=C3=B6=C3=B6k <oskar@HIDDEN> writes:
>
>> Sorry, first time using Guix.
>>
>> Some Elixir tests are failing, caused by a new feature. I have locally f=
ixed most of the issues related to this (I can now manually run the Makefil=
e in the generated Guix folder without any tests failing), but I am stuck o=
n a part where the tests spawn binaries and wait for a certain file to be c=
reated in a certain location. This does not work during the Guix build.
>>
>
> Perhaps it requires a network connection?  Or /bin/sh?  Those are the
> most common sources of things failing in the build container but not on
> a "regular" system.
>
>> I will examine further over the weekend. If I can not fix these tests, i=
s it acceptable to disable them? I can verify that the behaviour being test=
ed works manually.
>>
>
> We should find out why they are failing in either case.  :-)
>


------=_Part_2958_1817126105.1572615904682
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<html>
  <head>
    <meta http-equiv=3D"content-type" content=3D"text/html; charset=3DUTF-8=
">
  </head>
  <body>
<div style=3D"16px" text-align=3D"left">Thank you for your response!<br></d=
iv><div style=3D"16px" text-align=3D"left"><br></div><div style=3D"16px" te=
xt-align=3D"left">You were right, /bin/sh was the issue. I did some greppin=
g and found Elixir was generating files that depend on /bin/sh. I am now ab=
le to build Elixir 1.9.2 on Guix.<br></div><div style=3D"16px" text-align=
=3D"left"><br></div><div style=3D"16px" text-align=3D"left">I am attaching =
the patch to this e-mail. Please format/fix the code as necessary, I am not=
 too familiar with Guile and other Scheme/Lisp languages.<br></div><div sty=
le=3D"16px" text-align=3D"left"><br></div><div style=3D"16px" text-align=3D=
"left">Oskar<br></div><div style=3D"16px" text-align=3D"left"><br></div><di=
v style=3D"16px" text-align=3D"left"><br></div><div style=3D"16px" text-ali=
gn=3D"left">Nov 1, 2019, 00:54 by mbakke@HIDDEN:<br></div><blockquote=
 class=3D"tutanota_quote" style=3D"border-left: 1px solid #93A3B8; padding-=
left: 10px; margin-left: 5px;"><div style=3D"16px" text-align=3D"left">Oska=
r K=C3=B6=C3=B6k &lt;oskar@HIDDEN&gt; writes:<br></div><blockquote><di=
v style=3D"16px" text-align=3D"left">Sorry, first time using Guix.<br></div=
><div style=3D"16px" text-align=3D"left"><br></div><div style=3D"16px" text=
-align=3D"left">Some Elixir tests are failing, caused by a new feature. I h=
ave locally fixed most of the issues related to this (I can now manually ru=
n the Makefile in the generated Guix folder without any tests failing), but=
 I am stuck on a part where the tests spawn binaries and wait for a certain=
 file to be created in a certain location. This does not work during the Gu=
ix build.<br></div></blockquote><div style=3D"16px" text-align=3D"left"><br=
></div><div style=3D"16px" text-align=3D"left">Perhaps it requires a networ=
k connection?  Or /bin/sh?  Those are the<br></div><div style=3D"16px" text=
-align=3D"left">most common sources of things failing in the build containe=
r but not on<br></div><div style=3D"16px" text-align=3D"left">a "regular" s=
ystem.<br></div><blockquote>I will examine further over the weekend. If I c=
an not fix these tests, is it acceptable to disable them? I can verify that=
 the behaviour being tested works manually.<br></blockquote><div style=3D"1=
6px" text-align=3D"left"><br></div><div style=3D"16px" text-align=3D"left">=
We should find out why they are failing in either case.  :-)<br></div></blo=
ckquote><div style=3D"16px" text-align=3D"left"><br></div>  </body>
</html>

------=_Part_2958_1817126105.1572615904682--

------=_Part_2957_727507438.1572615904682
Content-Type: text/x-patch; charset=us-ascii; 
	name=0001-gnu-elixir-Update-to-1.9.2.patch
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; 
	filename=0001-gnu-elixir-Update-to-1.9.2.patch

From f2eb88f567f93e578e3c2df76046fed4f45645f8 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Oskar=20K=C3=B6=C3=B6k?= <oskarkook@HIDDEN>
Date: Thu, 24 Oct 2019 23:37:38 +0300
Subject: [PATCH] gnu: elixir: Update to 1.9.2.

* gnu/packages/elixir.scm (elixir): Update to 1.9.2.
---
 gnu/packages/elixir.scm | 20 ++++++++++++++++----
 1 file changed, 16 insertions(+), 4 deletions(-)

diff --git a/gnu/packages/elixir.scm b/gnu/packages/elixir.scm
index 88ada71aea..144a8cc4e7 100644
--- a/gnu/packages/elixir.scm
+++ b/gnu/packages/elixir.scm
@@ -33,7 +33,7 @@
 (define-public elixir
   (package
     (name "elixir")
-    (version "1.8.2")
+    (version "1.9.2")
     (source
      (origin
        (method git-fetch)
@@ -42,7 +42,7 @@
              (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
-        (base32 "1n77cpcl2b773gmj3m9s24akvj9gph9byqbmj2pvlsmby4aqwckq"))
+        (base32 "19yn6nx6r627f5zbyc7ckgr96d6b45sgwx95n2gp2imqwqvpj8wc"))
        (patches (search-patches "elixir-path-length.patch"))))
     (build-system gnu-build-system)
     (arguments
@@ -63,9 +63,21 @@
                               "lib/mix/lib/mix/scm/git.ex")
                  (("(cmd\\(['\"])git" _ prefix)
                   (string-append prefix (which "git"))))
+               (substitute* '("lib/mix/lib/mix/release.ex"
+                              "lib/mix/lib/mix/tasks/release.init.ex")
+                 (("#!/bin/sh")
+                  (string-append "#!" (which "sh"))))
                (substitute* "bin/elixir"
-                 (("ERL_EXEC=\"erl\"")
-                  (string-append "ERL_EXEC=" (which "erl"))))
+                 (("ERTS_BIN=")
+                  (string-append
+                    "ERTS_BIN="
+                    ;; Elixir Releases will prepend to ERTS_BIN the path of a copy of erl.
+                    ;; We detect if a release is being generated by checking the initial ERTS_BIN
+                    ;; value: if it's empty, we are not in release mode and can point to the actual
+                    ;; erl binary in Guix store.
+                    "\nif [ -z \"$ERTS_BIN\" ]; then ERTS_BIN="
+                    (string-drop-right (which "erl") 3)
+                    "; fi")))
                (substitute* "bin/mix"
                  (("#!/usr/bin/env elixir")
                   (string-append "#!" out "/bin/elixir"))))
-- 
2.21.0


------=_Part_2957_727507438.1572615904682--




Information forwarded to guix-patches@HIDDEN:
bug#37912; Package guix-patches. Full text available.

Message received at 37912 <at> debbugs.gnu.org:


Received: (at 37912) by debbugs.gnu.org; 31 Oct 2019 22:55:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 31 18:55:02 2019
Received: from localhost ([127.0.0.1]:54436 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iQJLK-0007Qv-Cs
	for submit <at> debbugs.gnu.org; Thu, 31 Oct 2019 18:55:02 -0400
Received: from wout4-smtp.messagingengine.com ([64.147.123.20]:46339)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mbakke@HIDDEN>) id 1iQJLG-0007QU-Or
 for 37912 <at> debbugs.gnu.org; Thu, 31 Oct 2019 18:55:00 -0400
Received: from compute5.internal (compute5.nyi.internal [10.202.2.45])
 by mailout.west.internal (Postfix) with ESMTP id 8C103559;
 Thu, 31 Oct 2019 18:54:52 -0400 (EDT)
Received: from mailfrontend2 ([10.202.2.163])
 by compute5.internal (MEProxy); Thu, 31 Oct 2019 18:54:52 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=fastmail.com; h=
 from:to:subject:in-reply-to:references:date:message-id
 :mime-version:content-type; s=fm1; bh=iN9qm9VPGMfi44mdIZFQBuKkN2
 /nWnsvvJG1qV2FdeU=; b=a3WTqDsDLITTjyW6xBptiJGtZbr17HxWLjQhnl4RbZ
 s4ICxhqPePtqLHLZAHGEYIE3nACQ39p+QKJ9t2H0VIwFFffYXYG+xwSdkXj4ee5X
 cLhziqULB3PQRWgnZVC5lsB6URjlpOnugmvtuSrpFezMbcAo46YiCXXVjjP49F+i
 jdcVv5IGvN0RkBhsihLRXfebtlF0gBskrP4+wpmGylevrkOZa+v6lbF1ZYqQBNoA
 644Vka0dXvoyBgbyzzUcH0DZC0Md4UDj9MSsXAKKkCb/2nabayLBLgNx34yyAZzy
 OBkQqkWVOQ/RHIV+OMWCmXZwVBoqgfv/0tq6XZnEc4rQ==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm1; bh=iN9qm9
 VPGMfi44mdIZFQBuKkN2/nWnsvvJG1qV2FdeU=; b=qTB7U3ASqwhPi06SPEv6ND
 /IVPH8ddpInbh71kBQJbkEaOhRRQrKEq6o2xC6+feeSeRmfk3ZYeWcDAm8P0rCj7
 vK/CV2ZsB8UVfhAantPWBRhUd4/LAfonsIL/RITQykcIcwH1+FCWFqtjTA8moBxv
 nUXZZBSC2ALpzHsSFLqDw1Tb3bg2sijA/4O0MH8frjgYJfpCANPfS6nCDcaIiv6A
 m5lWRYRqhaFeIW+N0MkYMp67yrXjMJwnci6bYBS89quZn/kMF3N26vPXxs/1cKRY
 85MEqF4LE8LfiQiox8qxP9UhEFjx2gHvEtv2HP0WcKFXeyphBQmwb/KnZB7mqy0A
 ==
X-ME-Sender: <xms:O2a7XTSx21K65-XZpIBCnkxdbvVn0hmjIlKpYKLO8_sXkTpqLhseaQ>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedufedruddtiedgtdefucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmne
 cujfgurhephffvufgjfhgffffkgggtsehgtderredtreejnecuhfhrohhmpeforghrihhu
 shcuuegrkhhkvgcuoehmsggrkhhkvgesfhgrshhtmhgrihhlrdgtohhmqeenucfkphepie
 dvrdduiedrudelvddrudehtdenucfrrghrrghmpehmrghilhhfrhhomhepmhgsrghkkhgv
 sehfrghsthhmrghilhdrtghomhenucevlhhushhtvghrufhiiigvpedt
X-ME-Proxy: <xmx:O2a7Xdd4Ho_0bFe5vG7LdzYcxoqyvmAqlzYUDbQmBmWgeqZ0Kw5fwg>
 <xmx:O2a7XYwyRBwv2F2QgpmRbXVPDsdgjtw0CmzBYPh_Zecvy8iywrmOVg>
 <xmx:O2a7XfhF5RxDOtUpvlfDCyYBRwStUIwUh3lPG43vRfbHo6N4OC1k4Q>
 <xmx:PGa7XaKHLaTn6kESOWX4yWg7FhX6oA-tCK4bmJyTM97_907SdtK_vw>
Received: from localhost (ti0006q161-0149.bb.online.no [62.16.192.150])
 by mail.messagingengine.com (Postfix) with ESMTPA id A91E6306005F;
 Thu, 31 Oct 2019 18:54:51 -0400 (EDT)
From: Marius Bakke <mbakke@HIDDEN>
To: Oskar =?utf-8?B?S8O2w7Zr?= <oskar@HIDDEN>, 37912 <at> debbugs.gnu.org
Subject: Re: [bug#37912] [PATCH] gnu: elixir: Update to 1.9.2.
In-Reply-To: <LsXE_TN--3-1@HIDDEN>
References: <LrzW39---3-1@HIDDEN> <LsXE_TN--3-1@HIDDEN>
User-Agent: Notmuch/0.29.1 (https://notmuchmail.org) Emacs/26.3
 (x86_64-pc-linux-gnu)
Date: Thu, 31 Oct 2019 23:54:49 +0100
Message-ID: <875zk4plty.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 37912
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Oskar K=C3=B6=C3=B6k <oskar@HIDDEN> writes:

> Sorry, first time using Guix.
>
> Some Elixir tests are failing, caused by a new feature. I have locally fi=
xed most of the issues related to this (I can now manually run the Makefile=
 in the generated Guix folder without any tests failing), but I am stuck on=
 a part where the tests spawn binaries and wait for a certain file to be cr=
eated in a certain location. This does not work during the Guix build.

Perhaps it requires a network connection?  Or /bin/sh?  Those are the
most common sources of things failing in the build container but not on
a "regular" system.

> I will examine further over the weekend. If I can not fix these tests, is=
 it acceptable to disable them? I can verify that the behaviour being teste=
d works manually.

We should find out why they are failing in either case.  :-)

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCgAdFiEEu7At3yzq9qgNHeZDoqBt8qM6VPoFAl27ZjkACgkQoqBt8qM6
VPr/YAf7BUsvNW24NfP5j9dnXVmqO7BY4UEX48n07onJ4XOz9h4ctuOnmpJCUECY
W/L/EevpztVZPh97Dd2GJAe1B8iLi3EVlab7EUjqeBJbe4WFccYlm2TtTXTFqs2h
x08pkI5JOyIxWhjw9Wavqct/JBHGmSolwQxSVgOtyGzEKedMlrqlm8+yqFhIPHNX
UiHq0WgD0X5Y+vC1IPWUkMje6vIc7Kw+jjEjpvx9kb60mR7Q9l55m5Ng8oDO5cAs
mcC3Wt4t02+8x1pXO1cvsuU0CUfqMBdS2cxHMg9V01euCWawwpsoKkrjsGv6ZsCm
KxLsXkmAVVeh9ZpuAsd7jznfwOqMNw==
=Un6b
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#37912; Package guix-patches. Full text available.

Message received at 37912 <at> debbugs.gnu.org:


Received: (at 37912) by debbugs.gnu.org; 31 Oct 2019 14:58:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 31 10:58:19 2019
Received: from localhost ([127.0.0.1]:54034 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iQBty-0008LU-UX
	for submit <at> debbugs.gnu.org; Thu, 31 Oct 2019 10:58:19 -0400
Received: from w4.tutanota.de ([81.3.6.165]:36562)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <oskar@HIDDEN>) id 1iQBYD-0007n9-6x
 for 37912 <at> debbugs.gnu.org; Thu, 31 Oct 2019 10:35:50 -0400
Received: from w2.tutanota.de (unknown [192.168.1.163])
 by w4.tutanota.de (Postfix) with ESMTP id 0AF3110602D2
 for <37912 <at> debbugs.gnu.org>; Thu, 31 Oct 2019 14:35:43 +0000 (UTC)
Date: Thu, 31 Oct 2019 15:35:42 +0100 (CET)
From: =?UTF-8?Q?Oskar_K=C3=B6=C3=B6k?= <oskar@HIDDEN>
To: <37912 <at> debbugs.gnu.org>
Message-ID: <LsXE_TN--3-1@HIDDEN>
Subject: Re: [bug#37912] [PATCH] gnu: elixir: Update to 1.9.2.
MIME-Version: 1.0
Content-Type: multipart/alternative; 
 boundary="----=_Part_38901_1363158418.1572532542758"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 37912
X-Mailman-Approved-At: Thu, 31 Oct 2019 10:58:18 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

------=_Part_38901_1363158418.1572532542758
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 7bit

Sorry, first time using Guix.

Some Elixir tests are failing, caused by a new feature. I have locally fixed most of the issues related to this (I can now manually run the Makefile in the generated Guix folder without any tests failing), but I am stuck on a part where the tests spawn binaries and wait for a certain file to be created in a certain location. This does not work during the Guix build.

I will examine further over the weekend. If I can not fix these tests, is it acceptable to disable them? I can verify that the behaviour being tested works manually.

Oskar


------=_Part_38901_1363158418.1572532542758
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: 7bit

<html>
  <head>
    <meta http-equiv="content-type" content="text/html; charset=UTF-8">
  </head>
  <body>
<div style="16px" text-align="left">Sorry, first time using Guix.<br></div><div style="16px" text-align="left"><br></div><div style="16px" text-align="left">Some Elixir tests are failing, caused by a new feature. I have locally fixed most of the issues related to this (I can now manually run the Makefile in the generated Guix folder without any tests failing), but I am stuck on a part where the tests spawn binaries and wait for a certain file to be created in a certain location. This does not work during the Guix build.<br></div><div style="16px" text-align="left"><br></div><div style="16px" text-align="left">I will examine further over the weekend. If I can not fix these tests, is it acceptable to disable them? I can verify that the behaviour being tested works manually.<br></div><div style="16px" text-align="left"><br></div><div style="16px" text-align="left">Oskar<br></div><div style="16px" text-align="left"><br></div>  </body>
</html>

------=_Part_38901_1363158418.1572532542758--




Information forwarded to guix-patches@HIDDEN:
bug#37912; Package guix-patches. Full text available.

Message received at 37912 <at> debbugs.gnu.org:


Received: (at 37912) by debbugs.gnu.org; 25 Oct 2019 12:16:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 25 08:16:28 2019
Received: from localhost ([127.0.0.1]:37426 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iNyW4-0002xy-AJ
	for submit <at> debbugs.gnu.org; Fri, 25 Oct 2019 08:16:28 -0400
Received: from mail-wr1-f67.google.com ([209.85.221.67]:37449)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1iNyVx-0002xa-BN
 for 37912 <at> debbugs.gnu.org; Fri, 25 Oct 2019 08:16:22 -0400
Received: by mail-wr1-f67.google.com with SMTP id e11so2095939wrv.4
 for <37912 <at> debbugs.gnu.org>; Fri, 25 Oct 2019 05:16:21 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=references:user-agent:from:to:cc:subject:in-reply-to:date
 :message-id:mime-version;
 bh=3DF2OovpWFMtwOHMKQDuYIeiCa1A0zbvmXvKUc1626U=;
 b=PQmaoZnoM6TTHopCZgXlW21eVaqHfhArn1DGZWIpjeiRBftVvr3z648gU4Cc6VD4QQ
 TG+BM5O23dpJRWuV2g7OnFhhhFdx4+0ri3KXs7UFIQNHkn93G/oiKrifMV0YsIfjPMp9
 aCKhwOTbpUoJ6TksMAbkCdDQgvaF6srIvN86bIrB2jOMrmPuofz928/RFkmnevrNf4TX
 Hgwq/y3pc7x1TCg9NhIcj8lueIjkd4zm7fnH6FUNyKUk33JNBsjxDybIY5pK/n0g5EvL
 SkxpENC6R7WMPobGSYsUhrLkP3jwBE+JLPth1jI3U9ZaI3DALy4Z5cGfCy5c+t7NGXSz
 3Hag==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:references:user-agent:from:to:cc:subject
 :in-reply-to:date:message-id:mime-version;
 bh=3DF2OovpWFMtwOHMKQDuYIeiCa1A0zbvmXvKUc1626U=;
 b=gCS497luFpOlCwJO4ddt+ohtsP1xdYdQe4MHfPx08Al+zyKKTvoyHPTRyKw5+iCLNX
 +0CnpCEzI7n31VcOwhwqSouKQlyO4kbN81UFxgC/rv81iX9BRW1S8IjKlunlsJ2anUSE
 FtYcxbxhPCWQnvFUrIg+onfB6BxV7dZqXQ5Ld+8xzEdZO8aJLdFGppJ+k2YBmERxdPR1
 lzxDjyBck+yCqHnjy82UH8WsVkplvXZB6FHvLR6KcI01Uyo+9gNq64hCbwUgSGMWYPjT
 Ve6JG2RdYH7Xoy3LRAkNKjxtNS/JC7bSmlKoA0GCadt5eLIl9wa/v5+FXoqshng93RT/
 LwIw==
X-Gm-Message-State: APjAAAVafyOE0qEoa6Spy8ndqQh+hf64oiKSoU2uoypfslGmpF99kpTM
 84bqkMb6nFHlvCLCr+LlzcLP40Ny
X-Google-Smtp-Source: APXvYqx1jixrQCpdLnx5RSmHCI3rSf8+RwCD54aqiELwjRRJMOjMgGl6DniPPv2ZUWo3DNtXiKrkMg==
X-Received: by 2002:adf:f4cb:: with SMTP id h11mr3000089wrp.260.1572005775085; 
 Fri, 25 Oct 2019 05:16:15 -0700 (PDT)
Received: from meru (lfbn-ann-1-367-71.w86-200.abo.wanadoo.fr. [86.200.83.71])
 by smtp.gmail.com with ESMTPSA id
 u1sm2420886wru.90.2019.10.25.05.16.13
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 25 Oct 2019 05:16:14 -0700 (PDT)
References: <LrzW39---3-1@HIDDEN>
User-agent: mu4e 1.2.0; emacs 26.3
From: Mathieu Othacehe <m.othacehe@HIDDEN>
To: guix-patches@HIDDEN
Subject: Re: [bug#37912] [PATCH] gnu: elixir: Update to 1.9.2.
In-reply-to: <LrzW39---3-1@HIDDEN>
Date: Fri, 25 Oct 2019 14:16:12 +0200
Message-ID: <87sgnhja0j.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37912
Cc: 37912 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


Hello,

When building elixir with this patch, I have the following error:

--8<---------------cut here---------------start------------->8---
Finished in 363.7 seconds (2.5s on load, 361.1s on tests)
9 doctests, 625 tests, 6 failures

Randomized with seed 237287
make: *** [Makefile:113: test_mix] Error 1

Test suite failed, dumping logs.
command "make" "test" "PREFIX=/gnu/store/q95v9n7c0nhrkqmn1xhr785zqi4mp81k-elixir-1.9.2" failed with status 2
builder for `/gnu/store/clqdccpnxbz4wg4c37shsn59d1y4b9wq-elixir-1.9.2.drv' failed with exit code 1
build of /gnu/store/clqdccpnxbz4wg4c37shsn59d1y4b9wq-elixir-1.9.2.drv failed
View build log at '/var/log/guix/drvs/cl/qdccpnxbz4wg4c37shsn59d1y4b9wq-elixir-1.9.2.drv.bz2'.
guix build: error: build of `/gnu/store/clqdccpnxbz4wg4c37shsn59d1y4b9wq-elixir-1.9.2.drv' failed
--8<---------------cut here---------------end--------------->8---

any idea why?

Thanks,

Mathieu




Information forwarded to guix-patches@HIDDEN:
bug#37912; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 25 Oct 2019 12:16:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 25 08:16:29 2019
Received: from localhost ([127.0.0.1]:37428 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iNyW4-0002y1-Ly
	for submit <at> debbugs.gnu.org; Fri, 25 Oct 2019 08:16:29 -0400
Received: from lists.gnu.org ([209.51.188.17]:37235)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1iNyVx-0002xg-Pg
 for submit <at> debbugs.gnu.org; Fri, 25 Oct 2019 08:16:24 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:49908)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <m.othacehe@HIDDEN>) id 1iNyVw-0004o5-Mf
 for guix-patches@HIDDEN; Fri, 25 Oct 2019 08:16:21 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <m.othacehe@HIDDEN>) id 1iNyVv-0005hI-MB
 for guix-patches@HIDDEN; Fri, 25 Oct 2019 08:16:20 -0400
Received: from mail-wr1-x441.google.com ([2a00:1450:4864:20::441]:35555)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <m.othacehe@HIDDEN>)
 id 1iNyVt-0005eS-TJ
 for guix-patches@HIDDEN; Fri, 25 Oct 2019 08:16:19 -0400
Received: by mail-wr1-x441.google.com with SMTP id l10so2098761wrb.2
 for <guix-patches@HIDDEN>; Fri, 25 Oct 2019 05:16:16 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=references:user-agent:from:to:cc:subject:in-reply-to:date
 :message-id:mime-version;
 bh=3DF2OovpWFMtwOHMKQDuYIeiCa1A0zbvmXvKUc1626U=;
 b=PQmaoZnoM6TTHopCZgXlW21eVaqHfhArn1DGZWIpjeiRBftVvr3z648gU4Cc6VD4QQ
 TG+BM5O23dpJRWuV2g7OnFhhhFdx4+0ri3KXs7UFIQNHkn93G/oiKrifMV0YsIfjPMp9
 aCKhwOTbpUoJ6TksMAbkCdDQgvaF6srIvN86bIrB2jOMrmPuofz928/RFkmnevrNf4TX
 Hgwq/y3pc7x1TCg9NhIcj8lueIjkd4zm7fnH6FUNyKUk33JNBsjxDybIY5pK/n0g5EvL
 SkxpENC6R7WMPobGSYsUhrLkP3jwBE+JLPth1jI3U9ZaI3DALy4Z5cGfCy5c+t7NGXSz
 3Hag==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:references:user-agent:from:to:cc:subject
 :in-reply-to:date:message-id:mime-version;
 bh=3DF2OovpWFMtwOHMKQDuYIeiCa1A0zbvmXvKUc1626U=;
 b=jVyxh4dQke6rNrGjy/veu5jrljDnxjtJJAQaFvRu8LvGi0QQPSWoxU7iJDd7B37zOp
 bh+WG9/D6+i7OcSmQpIYj2kyunHwQwQTq4NcZsYL8XrLXR6ZSsWw/4XBGfQxC1L5QMzh
 Ohdn3KxqR5MnrphrYOY2RcNKmM8Ga1SIHOwAck/AQAf/BhWPXsp3xDadN+zimfd5yuiH
 46pu4GTxUwy58RK7CqcLZluP/spg7Kcp5UAAqcjUkZIed+cA32s17M/RcPbtf8WTwV/x
 gBkRHhrhMpSaGG5asbhngo1raiFMbcIvGmeDYMIAdQxCyzhIMuY+7b8lwDlGPPNERuAH
 QdwA==
X-Gm-Message-State: APjAAAWaykAdBhMUFSeU9ahg2Scnv6WqgORHph+sUDBNKJ3awdbaUEVP
 mokR7IfCWtAAyFAV7zOmWs4=
X-Google-Smtp-Source: APXvYqx1jixrQCpdLnx5RSmHCI3rSf8+RwCD54aqiELwjRRJMOjMgGl6DniPPv2ZUWo3DNtXiKrkMg==
X-Received: by 2002:adf:f4cb:: with SMTP id h11mr3000089wrp.260.1572005775085; 
 Fri, 25 Oct 2019 05:16:15 -0700 (PDT)
Received: from meru (lfbn-ann-1-367-71.w86-200.abo.wanadoo.fr. [86.200.83.71])
 by smtp.gmail.com with ESMTPSA id
 u1sm2420886wru.90.2019.10.25.05.16.13
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 25 Oct 2019 05:16:14 -0700 (PDT)
References: <LrzW39---3-1@HIDDEN>
User-agent: mu4e 1.2.0; emacs 26.3
From: Mathieu Othacehe <m.othacehe@HIDDEN>
To: guix-patches@HIDDEN
Subject: Re: [bug#37912] [PATCH] gnu: elixir: Update to 1.9.2.
In-reply-to: <LrzW39---3-1@HIDDEN>
Date: Fri, 25 Oct 2019 14:16:12 +0200
Message-ID: <87sgnhja0j.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2a00:1450:4864:20::441
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
Cc: 37912 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)


Hello,

When building elixir with this patch, I have the following error:

--8<---------------cut here---------------start------------->8---
Finished in 363.7 seconds (2.5s on load, 361.1s on tests)
9 doctests, 625 tests, 6 failures

Randomized with seed 237287
make: *** [Makefile:113: test_mix] Error 1

Test suite failed, dumping logs.
command "make" "test" "PREFIX=/gnu/store/q95v9n7c0nhrkqmn1xhr785zqi4mp81k-elixir-1.9.2" failed with status 2
builder for `/gnu/store/clqdccpnxbz4wg4c37shsn59d1y4b9wq-elixir-1.9.2.drv' failed with exit code 1
build of /gnu/store/clqdccpnxbz4wg4c37shsn59d1y4b9wq-elixir-1.9.2.drv failed
View build log at '/var/log/guix/drvs/cl/qdccpnxbz4wg4c37shsn59d1y4b9wq-elixir-1.9.2.drv.bz2'.
guix build: error: build of `/gnu/store/clqdccpnxbz4wg4c37shsn59d1y4b9wq-elixir-1.9.2.drv' failed
--8<---------------cut here---------------end--------------->8---

any idea why?

Thanks,

Mathieu




Information forwarded to guix-patches@HIDDEN:
bug#37912; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 24 Oct 2019 21:50:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 24 17:50:15 2019
Received: from localhost ([127.0.0.1]:37065 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iNkzk-0007FG-I4
	for submit <at> debbugs.gnu.org; Thu, 24 Oct 2019 17:50:14 -0400
Received: from lists.gnu.org ([209.51.188.17]:48404)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <oskar@HIDDEN>) id 1iNjz5-0003aZ-H3
 for submit <at> debbugs.gnu.org; Thu, 24 Oct 2019 16:45:27 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:37780)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <oskar@HIDDEN>) id 1iNjz4-0004gy-C7
 for guix-patches@HIDDEN; Thu, 24 Oct 2019 16:45:27 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.1 required=5.0 tests=BAYES_20,HTML_MESSAGE,
 MIME_HTML_MOSTLY,RCVD_IN_DNSWL_NONE,URIBL_BLOCKED autolearn=disabled
 version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <oskar@HIDDEN>) id 1iNjz2-00021C-SF
 for guix-patches@HIDDEN; Thu, 24 Oct 2019 16:45:26 -0400
Received: from w4.tutanota.de ([81.3.6.165]:43758)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <oskar@HIDDEN>) id 1iNjz2-00020y-Kr
 for guix-patches@HIDDEN; Thu, 24 Oct 2019 16:45:24 -0400
Received: from w2.tutanota.de (unknown [192.168.1.163])
 by w4.tutanota.de (Postfix) with ESMTP id 7DBE8106019A
 for <guix-patches@HIDDEN>; Thu, 24 Oct 2019 20:45:22 +0000 (UTC)
Date: Thu, 24 Oct 2019 22:45:22 +0200 (CEST)
From: =?UTF-8?Q?Oskar_K=C3=B6=C3=B6k?= <oskar@HIDDEN>
To: <guix-patches@HIDDEN>
Message-ID: <LrzW39---3-1@HIDDEN>
Subject: [PATCH] gnu: elixir: Update to 1.9.2.
MIME-Version: 1.0
Content-Type: multipart/mixed; 
 boundary="----=_Part_35629_460654715.1571949922364"
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-Received-From: 81.3.6.165
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Thu, 24 Oct 2019 17:50:11 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

------=_Part_35629_460654715.1571949922364
Content-Type: multipart/alternative; 
	boundary="----=_Part_35630_275881169.1571949922364"

------=_Part_35630_275881169.1571949922364
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 7bit



------=_Part_35630_275881169.1571949922364
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: 7bit

<html>
  <head>
    <meta http-equiv="content-type" content="text/html; charset=UTF-8">
  </head>
  <body>
<div style="16px"><br></div>  </body>
</html>

------=_Part_35630_275881169.1571949922364--

------=_Part_35629_460654715.1571949922364
Content-Type: text/x-patch; charset=us-ascii; 
	name=0001-gnu-elixir-Update-to-1.9.2.patch
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; 
	filename=0001-gnu-elixir-Update-to-1.9.2.patch

From bfbd16af6aaf3d2685f01fa8059a220485e830ec Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Oskar=20K=C3=B6=C3=B6k?= <oskarkook@HIDDEN>
Date: Thu, 24 Oct 2019 23:37:38 +0300
Subject: [PATCH] gnu: elixir: Update to 1.9.2.

* gnu/packages/elixir.scm (elixir): Update to 1.9.2.
---
 gnu/packages/elixir.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/elixir.scm b/gnu/packages/elixir.scm
index 88ada71aea..d3f30c624e 100644
--- a/gnu/packages/elixir.scm
+++ b/gnu/packages/elixir.scm
@@ -33,7 +33,7 @@
 (define-public elixir
   (package
     (name "elixir")
-    (version "1.8.2")
+    (version "1.9.2")
     (source
      (origin
        (method git-fetch)
@@ -42,7 +42,7 @@
              (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
-        (base32 "1n77cpcl2b773gmj3m9s24akvj9gph9byqbmj2pvlsmby4aqwckq"))
+        (base32 "19yn6nx6r627f5zbyc7ckgr96d6b45sgwx95n2gp2imqwqvpj8wc"))
        (patches (search-patches "elixir-path-length.patch"))))
     (build-system gnu-build-system)
     (arguments
-- 
2.21.0


------=_Part_35629_460654715.1571949922364--




Acknowledgement sent to Oskar Köök <oskar@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#37912; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 3 Nov 2019 17:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.